Get org-level workflow jobs
GET
/orgs/{org}/actions/jobs
const url = 'https://gitea.com/api/v1/orgs/example/actions/jobs';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/orgs/example/actions/jobs \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
Name of the organization
Query Parameters
Section titled “Query Parameters”status
string
Workflow status (pending, queued, in_progress, failure, success, skipped)
page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”WorkflowJobsList
Media typeapplication/json
ActionWorkflowJobsResponse returns ActionWorkflowJobs
object
jobs
Array<object>
ActionWorkflowJob represents a WorkflowJob
object
completed_at
string format: date-time
conclusion
string
created_at
string format: date-time
head_branch
string
head_sha
string
html_url
string
id
integer format: int64
labels
Array<string>
name
string
run_attempt
integer format: int64
run_id
integer format: int64
run_url
string
runner_id
integer format: int64
runner_name
string
started_at
string format: date-time
status
string
steps
Array<object>
ActionWorkflowStep represents a step of a WorkflowJob
object
completed_at
string format: date-time
conclusion
string
name
string
number
integer format: int64
started_at
string format: date-time
status
string
url
string
total_count
integer format: int64
Examplegenerated
{ "jobs": [ { "completed_at": "2026-04-15T12:00:00Z", "conclusion": "example", "created_at": "2026-04-15T12:00:00Z", "head_branch": "example", "head_sha": "example", "html_url": "example", "id": 1, "labels": [ "example" ], "name": "example", "run_attempt": 1, "run_id": 1, "run_url": "example", "runner_id": 1, "runner_name": "example", "started_at": "2026-04-15T12:00:00Z", "status": "example", "steps": [ { "completed_at": "2026-04-15T12:00:00Z", "conclusion": "example", "name": "example", "number": 1, "started_at": "2026-04-15T12:00:00Z", "status": "example" } ], "url": "example" } ], "total_count": 1}APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json